Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 26 Nov 2014, 23:12
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
libreoffice-3.3.0.4 SFS and PET
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
Sit Heel Speak


Joined: 30 Mar 2006
Posts: 2595
Location: downwind

PostPosted: Fri 28 Jan 2011, 22:53    Post_subject:  libreoffice-3.3.0.4 SFS and PET
Sub_title: ...but wait for revised versions...
 

***EDITED Feb. 15 2011: I am working on a light version, patterned after ASRI éducation's OOolight. And, in the course of creating the .pet, I have noticed that the full libreoffice-3.3.0.4 packages posted herein, lack some things (*cough* like a full set of printer drivers *cough*) Embarassed Surprised Evil or Very Mad (hey, I only put in it what was in the official .deb. My only fault was ignorance and too much trust! Rolling Eyes

...so, HOLD OFF ON DOWNLOADING THESE, unless you just want to experiment. Newer, better versions will be up in a day or three.***


For PET package, go 4 message slots down, to:
http://www.murga-linux.com/puppy/viewtopic.php?p=495636#495636

***edited Feb 14 2011: I created this package a few days before the Lucid Puppy 5.20 Quickpet version was announced (QuickPet->SFSGet). I have no idea how the two versions differ. I am using mine on Lucid 5.20 and it works great. However, on a computer with "only" 1 GB of ram, I have found that a 512 MB swapfile helps performance somewhat. LibreOffice is a resource hog. If using a frugal install, I recommend you have at least 512 MB of free space as shown by freememapplet, before you install this package.***

This is an unpack of the Ubuntu .deb,
LibO_3.3.0_Linux_x86_install-deb_en-US.tar.gz, downloaded yesterday from the LibreOffice website, packaged into sfs4 SFS format using my Clipper packaging script, with some changes made to the Categories and Exec lines of the .desktop files to make it suitable for the menu structure of Puppy Linux.

I have withdrawn the separate .pet package of the help files which I posted in this message slot earlier, because it had problems. I have included the help files instead in the main Libre Office package.

See next post.

***edited Feb 03 2011: for coolpup's portable version, see
http://www.murga-linux.com/puppy/viewtopic.php?p=492402#492402***
.

Edited_times_total
Back to top
View user's profile Send_private_message 
Sit Heel Speak


Joined: 30 Mar 2006
Posts: 2595
Location: downwind

PostPosted: Mon 31 Jan 2011, 03:37    Post_subject: posted: libreoffice-3.3.0.4 as an sfs4 SFS  

(deleted by poster October 29 2011)
Edited_times_total
Back to top
View user's profile Send_private_message 
xman


Joined: 24 Sep 2009
Posts: 145

PostPosted: Thu 03 Feb 2011, 04:58    Post_subject:  

Thanks for LO-3.3.sfs! I'm using it in Wary-5.0, Quirky-130 and Lupu-5.2. LO-3.3 starts quicker than GO-3.2. It also has ability to calculate things right which was almost impossible mission for OO-3.2.

Best regards, x Very Happy
Back to top
View user's profile Send_private_message 
Sit Heel Speak


Joined: 30 Mar 2006
Posts: 2595
Location: downwind

PostPosted: Thu 03 Feb 2011, 07:10    Post_subject:  

Smile You're welcome!

Incidentally, for those who are using coolpup's portable libreoffice
http://puppylinux.org/wikka/LibreOffice
(the actual link to it is
http://smokey01.com/coolpup/libreoffice-3.3.0.4-20110202)

...it is missing the help files. However, I have posted a tar.gz of these, see
http://www.murga-linux.com/puppy/viewtopic.php?p=492401#492401
Back to top
View user's profile Send_private_message 
Sit Heel Speak


Joined: 30 Mar 2006
Posts: 2595
Location: downwind

PostPosted: Mon 14 Feb 2011, 20:28    Post_subject: Libre Office 3.3.0.4 as a .PET package  

(deleted by poster October 29 2011)
Edited_time_total
Back to top
View user's profile Send_private_message 
Sit Heel Speak


Joined: 30 Mar 2006
Posts: 2595
Location: downwind

PostPosted: Tue 15 Feb 2011, 05:53    Post_subject:  

See first post. I will leave these versions up for now, but will post better versions in the next few days.
Back to top
View user's profile Send_private_message 
night_mare007

Joined: 07 Aug 2011
Posts: 30

PostPosted: Wed 10 Aug 2011, 14:07    Post_subject:
Sub_title: Language support for other nations ?
 

Hey...
Nice Package you've got there...

I wonder how can I add language support ( not GUI, only spell checking )
for foreign languages other then en,sp,fr.... ?

I tried my self to do it....
I download the libreoffice3-dict-*.deb file, extracted this deb and the sfs, and combined them together - but no luck....

I haven't tried to install Java on my machine... mybe it was the right move... but I just need Java to be able to use the extension manager to add this package ?

Any guiding will be welcome.
thanks.

[UPDATE. day after]
I can confirm that I have found the right solution, and I was right all along.
After i've join both the language support and libreoffice together - I only had to boot puppy again using "java_jre-6u22-Lucid-sfs4.sfs" - which gave me the JAVA SUPPORT Libreooffice is needed to enable additional extentions.

So I have a working, up-to-date libreoffice + local language support. Wink
Back to top
View user's profile Send_private_message 
difedepe

Joined: 12 Apr 2011
Posts: 31

PostPosted: Tue 08 Nov 2011, 17:16    Post_subject: Libreoffice on Puppy 5.3 Slacko  

Hi,
I dowloaded "LibreOfc3-en-us_3.3.0.4_final_sfs4.sfs" and put it in /mnt/home
The problem is that when I try to launch it... it doesn't start.
Here the message error from the shell:

domainname: applet not found
/opt/libreoffice/program/soffice: line 167: 29414 Aborted "$sd_prog/$sd_binary" "$@"

Can you help me on this?

Thanks a lot.
Back to top
View user's profile Send_private_message 
darkcity


Joined: 23 May 2010
Posts: 2479
Location: near here

PostPosted: Mon 16 Jan 2012, 09:34    Post_subject:  

this will be very useful, I'm still using Go-OO-3.2.1-Lucid.sfs

Will this version work on 5.28? Arrow

_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0645s ][ Queries: 12 (0.0056s) ][ GZIP on ]